Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.lexerapplications.thumbelina
Class Picture

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.Rectangle
                  org.htmlparser.lexerapplications.thumbelina.Picture

All Implemented Interfaces:
  Shape, Serializable, Cloneable

    public class Picture

extends Rectangle

Class to track pictures within the frame. Maintains an image, an area and the URL for it.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.Rectangle2D
`Rectangle2D.Double, Rectangle2D.Float`

Field Summary
`protected Image` | `mImage` The image for the picture.
`protected Point` | `mOrigin` The upper left hand corner of the image.
`protected URL` | `mURL` The URL for the picture.
`static Point` | `ORIGIN` The origin for new points from the zero args constructor.

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`Picture()` Construct a Picture.
`Picture(int x, int y, int width, int height)` Construct a Picture over the area given.
`Picture(Picture picture)` Construct a picture from the one given.
`Picture(Rectangle r)` Construct a picture over the rectangle given.

Method Summary
`Image` | `getImage()` Getter for property image.
`Point` | `getOrigin()` Getter for property origin.
`URL` | `getURL()` Getter for property URL.
`void` | `reset()` Reset the picture to uncropped size.
`boolean` | `same(Picture picture)` Return `true` if that picture is the same as this one.
`void` | `setImage(Image image)` Setter for property image.
`void` | `setOrigin(Point origin)` Setter for property origin.
`void` | `setURL(URL url)` Setter for property URL.
`String` | `toString()` Create a string representation of the picture.

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, contains, contains, createIntersection, createUnion, equals, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, move, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, translate, union`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

Field Detail

### ORIGIN

    public static final Point ORIGIN

  The origin for new points from the zero args constructor.

### mURL

    protected URL mURL

  The URL for the picture.

### mImage

    protected Image mImage

  The image for the picture.

### mOrigin

    protected Point mOrigin

  The upper left hand corner of the image. This doesn't change, even if the image is cropped. For example, if the left half of the image is obscured by another, the `Rectangle` fields `x`, `y`, `width` and `height` will change, but the origin remains the same.

Constructor Detail

### Picture

    public Picture()

  Construct a Picture.

### Picture

    public Picture(int x,
                   int y,
                   int width,
                   int height)

  Construct a Picture over the area given.

  Parameters:
    `x` - The x coordinate.
    `y` - The y coordinate.
    `width` - The width of the picture.
    `height` - The height of the picture.

### Picture

    public Picture(Rectangle r)

  Construct a picture over the rectangle given.

  Parameters:
    `r` - The coordinates of the area.

### Picture

    public Picture(Picture picture)

  Construct a picture from the one given.

  Parameters:
    `picture` - The picture to copy.

Method Detail

### getURL

    public URL getURL()

  Getter for property URL.

  Returns:
    Value of property URL.

### setURL

    public void setURL(URL url)

  Setter for property URL.

  Parameters:
    `url` - New value of property URL.

### getImage

    public Image getImage()

  Getter for property image.

  Returns:
    Value of property image.

### setImage

    public void setImage(Image image)

  Setter for property image.

  Parameters:
    `image` - New value of property image.

### getOrigin

    public Point getOrigin()

  Getter for property origin.

  Returns:
    Value of property origin.

### setOrigin

    public void setOrigin(Point origin)

  Setter for property origin.

  Parameters:
    `origin` - New value of property origin.

### same

    public boolean same(Picture picture)

  Return `true` if that picture is the same as this one.

  Parameters:
    `picture` - The picture to check.
  Returns:
    `true` if the images match.

### reset

    public void reset()

  Reset the picture to uncropped size.

### toString

    public String toString()

  Create a string representation of the picture.

  Overrides:
    `toString` in class `Rectangle`
  Returns:
    A string that shows this picture URL and size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |